
Foreman - Bug #23251

Breadcrumbs switcher needs visual adjustments

04/12/2018 10:39 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5493,

https://github.com/theforeman/foreman/p

ull/5724,

https://github.com/theforeman/foreman/p

ull/5726

  

Description

The current breadcrumbs switcher visually diverges from the patternfly design. There's a switcher already implemented in Katello,

that matches the design better. We need to adjust margins and colors to provide unified look and feel to our users.

See attached screenshots for details about the differences.

Related issues:

Related to Foreman - Feature #22855: Add redux container for breadcrumb switcher Closed 03/12/2018

Related to Foreman - Refactor #23391: remove next/previous caption in breadcr... Closed 04/25/2018

Associated revisions

Revision 5b16c0dc - 06/19/2018 12:44 PM - Amir Fefer

Fixes #23391, #23251 - adjsut breadcrumbs swticher to pf design

History

#1 - 04/12/2018 10:40 AM - Tomáš Strachota

- Related to Feature #22855: Add redux container for breadcrumb switcher added

#2 - 04/25/2018 12:41 PM - Ohad Levy

- Related to Refactor #23391: remove next/previous caption in breadcrumb switcher  added

#3 - 04/25/2018 12:49 PM - Amir Fefer

- Assignee set to Amir Fefer

#4 - 05/06/2018 12:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5493 added

#5 - 06/18/2018 08:58 PM - Walden Raines

- Target version deleted (219)

#6 - 06/19/2018 01:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5b16c0dc08e42839b20262f9e9733835bae999f1.
#7 - 06/19/2018 01:27 PM - Marek Hulán

- translation missing: en.field_release set to 353

#8 - 06/20/2018 07:43 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5724 added

#9 - 06/21/2018 09:06 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5726 added

#10 - 06/21/2018 09:09 AM - Ohad Levy

- translation missing: en.field_release changed from 353 to 330
